How To Update or Fix Your Software If You're Using Crystal Runtime Service Pack 21 or Later

  Print
"Error: Your Crystal runtime engine has been upgraded to greater than service pack 20 (SP20) and the application is expecting Crystal runtime engine SP20 or lower/previous to be installed."

---

Step 1:

If you are getting the above message, please download and run the latest update (download the latest update --- do NOT download and run the full installer unless instructed to do so by Support).

It will fix the issue you're seeing, even if you believe you have that same version already installed. Download the updater and run it.

https://jeff-net.com/downloads

---

Step 2:

If you run the update, and it does NOT fix the issue, you need to MANUALLY fix the issue (by copying one file). It's all dependent on what version of the Crystal runtime engine you're running.

In the program files directory where you have Jeff-Net\Report Runner, you should have three additional folders. One says SP21ToSP25, one says SP26OrLater, and the other SP20OrPrevious. Copy the Report Runner Unified.exe FROM that SP21ToSP25 or SP26OrLater directory INTO the Report Runner directory (you'll be replacing the existing EXE).

---

For more information on this service pack issue, please see the release notes from 2018.300/2018.305.

---

This KB article may also provide some additional information and assistance:

https://help.jeff-net.com/knowledgebase/article/how-to-fix-a-catastrophic-error-when-trying-to-start-report-runner



Related Articles

Login

 
Forgot password?
Register now

Language